API documentación
get
/api/v1/Psp/beneficiary-optionsCurrencies, payment rails and recipient types a withdrawal bank account may use. While payments to other people are off, a bank account must be in the user's own verified name and {ownBeneficiary} carries it.
Psp
Parámetros
provider
query · string
Opcional
version
path · string
Requerido
Respuestas
- 200Currencies and rails.application/json
{ "currencies": [ { "value": "EUR", "name": "Euro" } ], "rails": [ { "currency": "EUR", "rail": "SEPA", "fields": [ "iban", "bic" ] } ], "thirdPartyPaymentsEnabled": false, "allowedBeneficiaryTypes": [ "individual" ], "ownBeneficiary": { "isCompany": false, "firstName": "Jane", "lastName": "Smith", "legalName": null } } - 400Bank transfers are not available for the user.application/json
"string"
- 401Not authenticated.application/json
{} - 404Unknown method, or it does not use registered bank accounts.application/json
{}